How to make Wpsubscribers plugin works with Thesis theme

You don't need to follow this tutorial if you use WPSubscribers Plugin version 1.08 and above.

Wpsubscribers plugin works with all standard WordPress themes. In order for my plugin works correctly, your theme must call <?php get_footer(); ?> or <?php wp_footer(); ?> function, it's Ok with almost 99% WordPress themes out-there.

In case, your Thesis theme can't work with WPSubscribers plugin due to its own structure, this tutorial will show you how to make your Thesis theme works with this plugin:

Step 1: Login to your admin area and go to “Thesis OpenHook” page:

Step 2: Go to “WP Footer” box, and paste in these lines of code:
<?php
if (function_exists('wps_content_popup_footer')) { wps_content_popup_footer(); }
if (function_exists('wps_facebook')) { wps_facebook(); }
?>

or: (If your popup has problem with IE)

<script type="text/javascript">
jQuery(document).ready(function($){
if ($("#popup").length > 0){
$("#popup").modal({
onShow: function (dialog) {
if ( $.browser.msie ) {
if (!dialog) dialog = $.modal.impl.d
dialog.container.css('height', 'auto');
$.modal.update();
$.modal.setContainerDimensions();
$.modal.setPosition();
}
}
});
}
});
</script>
<?php
if (function_exists('wps_content_popup_footer')) { wps_content_popup_footer(); }
if (function_exists('wps_facebook')) { wps_facebook(); }
?>

Don't forget to stick on the “Execute PHP on this hook” checkbox.

Press save button and your Thesis theme is now ready for Wpsubscribers plugin.






Comments are closed.